import socket

server = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
server.bind(("0.0.0.0", 10000))
server.listen(1)

print("TCP сервер запущен...")

while True:
    conn, addr = server.accept()
    print(f"Подключение от {addr}")

    data = conn.recv(1024)

    if not data:
        conn.close()
        continue

    message = data.decode()
    print(f"Получено: {message}")

   
    if message.lower() == "exit":
        conn.sendall("Сервер завершает работу".encode())
        conn.close()
        break

    
    response = f"Обработано сервером: {message.upper()}"
    conn.sendall(response.encode())

    conn.close()

server.close()
print("Сервер остановлен")